Welcome to the MacNN Forums.

If this is your first visit, be sure to check out the FAQ by clicking the link above. You may have to register before you can post: click the register link above to proceed. To start viewing messages, select the forum that you want to visit from the selection below.

You are here: MacNN Forums > Enthusiast Zone > Classic Macs and Mac OS > Installer and OS X updates ghosted.

Installer and OS X updates ghosted.
Thread Tools
Fresh-Faced Recruit
Join Date: Nov 2001
Location: Canada
Status: Offline
Reply With Quote
Jan 14, 2002, 02:55 PM
When I attempt to install the "installer update" or "OS 10.1.1" or "10.1.2" updates I can't proceed with the installation because I am unable to select a destination drive (it is ghosted). I've heard about these types of issues before though can't find a remedy...any thoughts or ideas?
I did manage to install iPhoto 1.0 into OS 10.1 and it seems to be working OK but I did receive a warning to update to 10.1.2
Junior Member
Join Date: Jul 2001
Location: Au
Status: Offline
Reply With Quote
Jan 17, 2002, 09:43 PM
Have you installed the security update at all?

try that and see what occurs..

I saw two shooting stars last night,
I wished on them, but they were only satilites,
its wrong to wish on space hardware,
I wish, I wish, I wish you'd care.

Billy Bragg -- New England.
Registered User
Join Date: Apr 2000
Location: Melbourne, Australia
Status: Offline
Reply With Quote
Jan 17, 2002, 10:03 PM
Yes. I was scratching my head for some time before I worked out the solution. Yes, before you can update to MacOS 10.1.1 or 10.1.2 you need to apply the Security Update and (I think) the Software Updater Update. Both appear in the Software Update control panel/utility.

Of course it would be really convenient if Apple put all these updates into one package - then there would be much less confusion and frustration.

All the best,
Mac Elite
Join Date: Feb 2001
Location: 34.06 N 118.47 W
Status: Offline
Reply With Quote
Jan 17, 2002, 11:21 PM
Generally, the reason for a disk being ghosted are it doesn't have the necessary requirements for the install/update.

Check to see that you have the space for the update, that you are updating with the proper updater and that it is the next one for your current build. You might try the software update control panel first to see what comes up.

If it is something else, then you might try deleting the reciepts in the ~Library/Reciepts and try again.
A lie can go halfway around the world before the truth even gets its boots on. - Mark Twain
zola25  (op)
Fresh-Faced Recruit
Join Date: Nov 2001
Location: Canada
Status: Offline
Reply With Quote
Jan 18, 2002, 09:59 PM
Thanks to all those who replied. Installing the Security update followed by the Installer update worked just fine. Thanks again.

"There's more to life than football, I just can't think of anything right now."
Dedicated MacNNer
Join Date: Dec 2000
Location: sj ca
Status: Offline
Reply With Quote
Jan 18, 2002, 11:02 PM
I had the same problem, but did not at the time have network access (hence no message boards to help me, and no way to get the security update in any case).

However, I found another (albeit somewhat dangerous) solution: hack the packages. If you copy the package to a writable drive, you can actually cd inside (from terminal) and make it work. Assuming the package is in your docs folder, then:

cd ~/Documents/<pkg name>/contents/resources/

and you'll see a convenient file called volumeCheck. Turns out that file is a perl script that does various version checks on each volume (by grep'ing plists), and then tells the caller what it found. In this particular case, the incorrect version is the installation framework, which needs to be 1.1.1 or 1.1.2 (but was actually 1.0 for me). So using your favorite text editor (vi), edit that perl script to have this line at the top:


and save. Thus it thinks alldrives are OK (so use a bit of caution). Run the installer on your new package file, and voila!

In my particular case, I had to fix the installer update and the 10.1.1 update, but after that the 10.1.2 update worked with no modification. So I guess the 10.1.1 supercedes the security update.

I suppose this technique would work for any update, but those version checks are there for a reason, so use with care!

BTW, this is all from memory, so I may have the minor details slightly off...

[ 01-22-2002: Message edited by: qyn ]
Thread Tools
Forum Links
Forum Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts
BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On
Privacy Policy
All times are GMT -4. The time now is 09:07 AM.
All contents of these forums © 1995-2015 MacNN. All rights reserved.
Branding + Design: www.gesamtbild.com
vBulletin v.3.8.8 © 2000-2015, Jelsoft Enterprises Ltd., Content Relevant URLs by vBSEO 3.3.2